【Homebrew】brew updateエラー

Homebrewとは

Homebrewは、AppleがmacOSに含まれていなかったUNIXツールをインストールするための最も簡単で柔軟な方法です。また、sudoを必要とせずに、Linuxディストリビューション用にパッケージ化されていないソフトウェアをホームディレクトリにインストールすることもできます。

環境:MacOS Catalina 10.15.7

エラー内容

brew updateをしたら、次のエラーが発生しました。

Error:

  homebrew-core is a shallow clone.

対処法

次のコマンドを実行

git -C /usr/local/Homebrew/Library/Taps/homebrew/homebrew-core fetch –unshallow

再びアップデートのコマンドを実施したところ、問題なく進みました。

brew update

ターミナルの画面が動くまで数分かかりました。

brew upgrade

必要に応じて、アップグレードも行います。

brew upgrade

エラーが出たので、下記のコマンドを実行します。

brew error

Warning: A newer Command Line Tools release is available.

Update them from Software Update in System Preferences or run

softwareupdate –all –install –force

brew error

No updates are available.となったので、次の2つのコマンドを順番に実行します。

sudo rm -rf /Library/Developer/CommandLineTools

sudo xcode-select –install

brew error

再度brew upgradeを実施して完了し、解決しました。

brew upgrade

返信を残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください